goalCreateCard1.mSteps = 
{
	{ action = "click", object = objectBackgroundBoathouseCardJigsaw, selection = objectHoCardPiecesGroup },
	{ action = "solve", layout = layoutBoathouseCardJigsaw },
}
-- ----------------------------------------------------------------------------
goalCreateCard1.readyToStart = false
-- ----------------------------------------------------------------------------
function goalCreateCard1:shouldStart()

	return self.readyToStart

end
-- ----------------------------------------------------------------------------
function goalCreateCard1:onStarted()

	objectBackgroundBoathouseCardJigsaw:ss(kActive)

end
-- ----------------------------------------------------------------------------
function goalCreateCard1:onFinished()

	objectPoiCardJigsaw:ss(kDone)

end
-- ----------------------------------------------------------------------------
function goalCreateCard1:onClickHO(layout, object, props, x, y)

	if (not self.readyToStart) then
		if (objectHoCardPiecesGroup:isFound()) then
			self.readyToStart = true
		end	
	end

end
-- ----------------------------------------------------------------------------
function goalCreateCard1:onSolveStart(layout)

	if (layout == layoutBoathouseCardJigsaw) then
		objectPoiCardJigsaw:ss(kInactive)
	end

end
-- ----------------------------------------------------------------------------
function goalCreateCard1:onSolveFinish(layout)

	if (layout == layoutBoathouseCardJigsaw) then
		self:achieved()
	end

end